<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ForwardedNewsletterMessageInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $newsletterJid = null;
    


    protected $serverMessageId = null;
    


    protected $newsletterName = null;
    


    protected $contentType = null;
    


    protected $accessibilityText = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getNewsletterJid()
    {
        return isset($this->newsletterJid) ? $this->newsletterJid : '';
    }

    public function hasNewsletterJid()
    {
        return isset($this->newsletterJid);
    }

    public function clearNewsletterJid()
    {
        unset($this->newsletterJid);
    }

    




    public function setNewsletterJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->newsletterJid = $var;

        return $this;
    }

    



    public function getServerMessageId()
    {
        return isset($this->serverMessageId) ? $this->serverMessageId : 0;
    }

    public function hasServerMessageId()
    {
        return isset($this->serverMessageId);
    }

    public function clearServerMessageId()
    {
        unset($this->serverMessageId);
    }

    




    public function setServerMessageId($var)
    {
        GPBUtil::checkInt32($var);
        $this->serverMessageId = $var;

        return $this;
    }

    



    public function getNewsletterName()
    {
        return isset($this->newsletterName) ? $this->newsletterName : '';
    }

    public function hasNewsletterName()
    {
        return isset($this->newsletterName);
    }

    public function clearNewsletterName()
    {
        unset($this->newsletterName);
    }

    




    public function setNewsletterName($var)
    {
        GPBUtil::checkString($var, True);
        $this->newsletterName = $var;

        return $this;
    }

    



    public function getContentType()
    {
        return isset($this->contentType) ? $this->contentType : 0;
    }

    public function hasContentType()
    {
        return isset($this->contentType);
    }

    public function clearContentType()
    {
        unset($this->contentType);
    }

    




    public function setContentType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\ContextInfo\ForwardedNewsletterMessageInfo\ContentType::class);
        $this->contentType = $var;

        return $this;
    }

    



    public function getAccessibilityText()
    {
        return isset($this->accessibilityText) ? $this->accessibilityText : '';
    }

    public function hasAccessibilityText()
    {
        return isset($this->accessibilityText);
    }

    public function clearAccessibilityText()
    {
        unset($this->accessibilityText);
    }

    




    public function setAccessibilityText($var)
    {
        GPBUtil::checkString($var, True);
        $this->accessibilityText = $var;

        return $this;
    }

}

